using DbController;

namespace Tabletop.Core.Models
{
    public class Move
    {
        [CompareField("move_id")]
        public int MoveId { get; set; }
        [CompareField("player_id")]
        public int PlayerId { get; set; }
        [CompareField("game_id")]
        public int GameId { get; set; }
        [CompareField("turn_nr")]
        public int TurnNr { get; set; }
        [CompareField("move_nr")]
        public int MoveNr { get; set; }
        [CompareField("start_move")]
        public DateTime StartMove { get; set; }
        [CompareField("end_move")]
        public DateTime EndMove { get; set; }

        public Dictionary<string, object?> GetParameters()
        {
            return new Dictionary<string, object?>
            {
                { "move_id", MoveId },
                { "player_id", PlayerId },
                { "game_id", GameId },
                { "turn_nr", TurnNr },
                { "move_nr", MoveNr },
                { "start_move", StartMove },
                { "end_move", EndMove }
            };
        }
    }
}